AMDForceGroupIntegrator Class Reference

AMDForceGroupIntegrator implements a single boost aMD integration algorithm. More...

Inheritance diagram for AMDForceGroupIntegrator:

## Public Member Functions

def | __init__ (self, dt, group, alphaGroup, EGroup)
| Create a AMDForceGroupIntegrator. More...
def | getAlphaGroup (self)
| Get the value of alpha for the boosted force group. More...
def | setAlphaGroup (self, alpha)
| Set the value of alpha for the boosted force group. More...
def | getEGroup (self)
| Get the energy threshold E for the boosted force group. More...
def | setEGroup (self, E)
| Set the energy threshold E for the boosted force group. More...
def | getEffectiveEnergy (self, groupEnergy)
| Given the actual group energy of the system, return the value of the effective potential. More...

## Detailed Description

AMDForceGroupIntegrator implements a single boost aMD integration algorithm.

This is similar to AMDIntegrator, but is applied based on the energy of a single force group (typically representing torsions).

For details, see Hamelberg et al., J. Chem. Phys. 127, 155102 (2007).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | dt,
|  |  | group,
|  |  | alphaGroup,
|  |  | EGroup
| ) |  |

Create a AMDForceGroupIntegrator.

Parameters

  dt | (time) The integration time step to use
  group | (int) The force group to apply the boost to
  alphaGroup | (energy) The alpha parameter to use for the boosted force group
  EGroup | (energy) The energy cutoff to use for the boosted force group

References CustomIntegrator.addComputeGlobal(), CustomIntegrator.addComputePerDof(), CustomIntegrator.addConstrainPositions(), CustomIntegrator.addGlobalVariable(), CustomIntegrator.addPerDofVariable(), and CustomIntegrator.addUpdateContextState().

## Member Function Documentation

def getAlphaGroup | ( |  | self | ) |

Get the value of alpha for the boosted force group.

References CustomIntegrator.getGlobalVariable().

Referenced by AMDForceGroupIntegrator.getEffectiveEnergy(), and DualAMDIntegrator.getEffectiveEnergy().

def getEffectiveEnergy | ( |  | self,
|  |  | groupEnergy
| ) |  |

Given the actual group energy of the system, return the value of the effective potential.

Parameters

  groupEnergy | (energy): the actual potential energy of the boosted force group

Returns
  the value of the effective potential

References AMDForceGroupIntegrator.getAlphaGroup(), and AMDForceGroupIntegrator.getEGroup().

def getEGroup | ( |  | self | ) |

Get the energy threshold E for the boosted force group.

References CustomIntegrator.getGlobalVariable().

Referenced by AMDForceGroupIntegrator.getEffectiveEnergy(), and DualAMDIntegrator.getEffectiveEnergy().

def setAlphaGroup | ( |  | self,
|  |  | alpha
| ) |  |

Set the value of alpha for the boosted force group.

References CustomIntegrator.setGlobalVariable().

def setEGroup | ( |  | self,
|  |  | E
| ) |  |

Set the energy threshold E for the boosted force group.

References CustomIntegrator.setGlobalVariable().

The documentation for this class was generated from the following file:

- amd.py